/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: CsvBootstrapImpl.java 3290 2007-05-31 15:30:51Z gdecarnin $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.engine.csv;

import javax.jbi.JBIException;
import javax.jbi.component.InstallationContext;

import org.objectweb.petals.component.common.SimpleBootstrap;
import org.w3c.dom.DocumentFragment;

/**
 * This class is the bootstrap for the CSV service engine.
 * 
 * @version $Rev: 1068 $ $Date: $
 * @author Marc Dutoo - Open Wide
 * @author Guillaume Decarnin - Open Wide
 * @since Petals 1.0
 */
public class CsvBootstrapImpl extends SimpleBootstrap {

    public void onInstall() throws JBIException {
        if (installContext != null) {
            DocumentFragment f = installContext.getInstallationDescriptorExtension();
            if (f != null) {
                System.out.println("Bootstrap contained an installation extension : "
                        + f.getFirstChild().getNodeName());
            }
        }
    }
}
